%define major	0
%define libname	%mklibname %{name} %{major}
%define liblsr	%mklibname %{name}-lsr %{major}
%define devname	%mklibname %{name} -d
%define devlsr	%mklibname %{name}-lsr -d

Name:		soxr
Version:	0.1.2
Release:	%mkrel 1
Summary:	The SoX Resampler library
License:	LGPLv2+
Group:		Sound/Editors and Converters
Url:		https://sourceforge.net/p/soxr/wiki/Home/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-Source.tar.xz
BuildRequires:	cmake

%description
The SoX Resampler library libsoxr performs one-dimensional sample-rate
conversion -- it may be used, for example, to resample PCM-encoded audio.

#------------------------------------------------

%package -n	%{libname}
Summary:	The SoX Resampler shared library
Group:		System/Libraries

%description -n	%{libname}
The SoX Resampler shared library.

It's high quality, one-dimensional sample-rate conversion library.

%files -n %{libname}
%doc NEWS README
#%license LICENCE
%{_libdir}/libsoxr.so.0.1.1
%{_libdir}/libsoxr.so.0

#------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains libraries and header files for developing applications
that use %{name}.

It's high quality, one-dimensional sample-rate conversion library.

%files -n %{devname}
%{_includedir}/soxr.h
%{_libdir}/libsoxr.so
%{_libdir}/pkgconfig/soxr.pc

#------------------------------------------------

%package -n	%{liblsr}
Summary:	The SoX Resampler shared library
Group:		System/Libraries

%description -n	%{liblsr}
The SoX Resampler shared library.

It's high quality, one-dimensional sample-rate conversion library
(with libsamplerate-like bindings).

%files -n %{liblsr}
%doc NEWS README
#%license LICENCE
%{_libdir}/libsoxr-lsr.so.0.1.9
%{_libdir}/libsoxr-lsr.so.0

#------------------------------------------------

%package -n	%{devlsr}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{liblsr} = %{version}-%{release}
Provides:	%{name}-lsr = %{version}-%{release}
Provides:	lib%{name}-lsr-devel = %{version}-%{release}

%description -n	%{devlsr}
This package contains libraries and header files for developing applications
that use %{name}.

It's high quality, one-dimensional sample-rate conversion library
(with libsamplerate-like bindings).

%files -n %{devlsr}
%{_includedir}/soxr-lsr.h
%{_libdir}/libsoxr-lsr.so
%{_libdir}/pkgconfig/soxr-lsr.pc

#------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-Source

%build
%cmake
%make_build

%install
%make_install -C build

# Remove docs and use the rpmbuild macro instead
rm -rf %{buildroot}%{_docdir}/*

# fix pc file
sed -i -e "s/-L%{_lib}//g" %{buildroot}%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Aug 19 2017 adrianomorselli <adrianomorselli> 0.1.2-1uplos2017
- imported for new vlc
- imported package soxr (based on OpenMandriva)

